Given(/^an empty auton$/) do
  class EmptyAuton < Nestene::Auton
    include StructureMapper::Hash

    attribute foo: String
  end
  @auton_type="EmptyAuton"
end

When(/^I create the auton$/) do
  @auton_id = Celluloid::Actor[:nestene_core].create_auton @auton_type
end

Then(/^the Auton should be in the READY state$/) do
  expect(Celluloid::Actor["storage:%s" % @auton_id].get.state).to eq(:ready)
end

When(/^I try to create an auton with a non\-existing type$/) do
  begin
    @auton_type = Celluloid::Actor[:nestene_core].create_auton "SomeNotExistingType"
  rescue Exception => exception
    @exception = exception
  end
end

Then(/^an exception should be raised$/) do
  expect(@exception).not_to be_nil
end

Then(/^the auton should not be created$/) do
  expect(@auton_type).to be_nil
end
