Feature: time delayed steps

  Scenario: scheduling one off time delayed step
    Given an Auton that schedules an one off delayed step in 0.1 second
    When I execute the step that schedules the delayed step
    And I wait for the second step to execute
    Then the elapsed time between first and sencond step should be at least 0.1 secods

  Scenario: un-scheduling one off time delayed step
    Given an Auton that schedules an one off delayed step in 0.1 second
    When I execute the step that schedules the delayed step
    And I cancel the time delayed step
    And I wait for 0.15 seconds
    Then the scheduled step should not be executed

  Scenario: scheduling repeating delayed step
    Given an Auton that schedules an repeating every 0.1 seconds delayed step in 0.1 second
    When I execute the step that schedules the delayed step
    And I wait for 0.21 seconds
    Then the scheduled step should be executed twice

  Scenario: suspending one off delayed step when auton is in error state
    Given an Auton that schedules an one off delayed step in 0.1 seconds and has a failing step
    When I execute the step that schedules the delayed step
    When I execute the failing step
    And I wait for 0.11 seconds
    Then the delayed step should not be executed

