# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nestene/version'

Gem::Specification.new do |spec|
  spec.name          = "nestene"
  spec.version       = Nestene::VERSION
  spec.authors       = ["Dragan Milic"]
  spec.email         = ["dragan@netice9.com"]
  spec.summary       = %q{Nestene Automation Framework}
  spec.description   = %q{Nestene Automation Framework}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_development_dependency "cucumber"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "pry-debugger"
  spec.add_development_dependency "timecop"
  spec.add_development_dependency "capybara"
  spec.add_development_dependency "rack-test"
  spec.add_development_dependency "poltergeist"

  spec.add_dependency "sinatra"
  spec.add_dependency "celluloid"
  spec.add_dependency "structure_mapper"
  spec.add_dependency "haml"
  spec.add_dependency "puma"

end
