When(/^request creation of an auton with an existing type$/) do
  class EmptyAuton < Nestene::Auton

    attribute foo: String
  end
  @auton_type="EmptyAuton"
  post '/autons', {auton_type: @auton_type}.to_json, 'Content-Type' => 'application/json'
end

Then(/^the API should respond with status code (\d+) and auton's ID$/) do |expected_status|
  expect(last_response.status).to be(expected_status.to_i)
  response = JSON.parse(last_response.body)
  expect(response).not_to be_empty
  expect(response).to have_key('auton_id')
end
