Given(/^I have an Auton that access credentials in the first step$/) do
  class CredentialsAuton < Nestene::Auton

    attribute credentials: String

    attr_accessor :context

    def use_credentials
      context.credentials['mail.google.com']
    end
  end
  @auton_type="CredentialsAuton"
  @auton_id = Celluloid::Actor[:nestene_core].create_auton @auton_type
end

Given(/^the credentials are set$/) do
  Celluloid::Actor[:nestene_core].set_credentials({'mail.google.com' => 'creds'})
end

When(/^I execute the first step of the Auton$/) do
  step_execution_id = Celluloid::Actor[:nestene_core].schedule_step @auton_id, :use_credentials
  expect(Celluloid::Actor[:nestene_core].wait_for_execution_result(@auton_id, step_execution_id)).to eq('creds')
end
