Given(/^I have one running Auton$/) do
  class SomeCoolAuton < Nestene::Auton

    def start
    end

    attribute foo: String
  end
  @auton_id = Celluloid::Actor[:nestene_core].create_auton "SomeCoolAuton"
end

When(/^I view the Auton$/) do
  visit '/'
  click_on @auton_id
end

Then(/^I should see Auton's id/) do
  expect(page).to have_content @auton_id
end


Then(/^I should see Auton's status$/) do
  expect(page.find('#auton_state').text).to eq('ready')
end

Then(/^I should see Auton's state$/) do
  expect(page).to have_css('#current_state')
end

Then(/^I should see Auton's queue$/) do
  expect(page).to have_css('#queue')
end

Then(/^I should see Auton's executed steps$/) do
    expect(page).to have_css('#executed')
end

Then(/^I should see Auton's current step$/) do
    expect(page).to have_css('#executing')
end

Then(/^I should see Auton's scheduled steps$/) do
    expect(page).to have_css('#to_execute')
end

Then(/^I should see Auton's delayed steps$/) do
  pending # express the regexp above with the code you wish you had
end
